$ErrorActionPreference = 'Stop';

$packageName = 'Fitbit.Connect'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://cache.fitbit.com/FitbitConnect/FitbitConnect-v2.0.2.7038-2018-04-11.exe'
$url64      = 'http://cache.fitbit.com/FitbitConnect/FitbitConnect-v2.0.2.7038-2018-04-11.exe'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  softwareName  = 'Fitbit.Connect*'

  checksum      = 'b6a83b8d43b639714aaf85570d4610193e0b2d9491ce8c386601918c3341960c'
  checksumType  = 'sha256'
  checksum64    = 'b6a83b8d43b639714aaf85570d4610193e0b2d9491ce8c386601918c3341960c'
  checksumType64= 'sha256'

  silentArgs    = ""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
